import Vue from 'vue'
import App from './App.vue'
import router from './router'
import { fullScreenContainer } from './lib'
// import { fullScreenContainer } from '@jiaminghi/data-view'
import moment from 'moment'
// 适配flex
import '@/assets/js/flexible.js'

// iconfont
import '@/assets/font/iconfont.js'

// 引入全局css
import './assets/less/style.less'

Vue.use(fullScreenContainer)
Vue.prototype.$moment = moment

// 分钟转为时分
Vue.filter('formatHourMinute', (value) => {
  if (!value) return '0分'
  const duration = moment.duration(value, 'minutes')
  const hours = Math.floor(duration.asHours())
  const minutes = duration.minutes()
  if (hours) {
    return `${hours}时${minutes}分`
  } else {
    return `${minutes}分`
  }
})

Vue.config.productionTip = false
console.info('v2.4.7')

new Vue({
  router,
  render: h => h(App)
}).$mount('#app')
